Disables all targeting rules for the specified campaign.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/targeting/disable.do
Disables all targeting rules for the specified campaign. Cannot be disabled if the campaign has blocked entity records. Requires UPDATE permission on the campaign and MANAGE_DEMAND_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/campaign/1234/targeting/disable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());